org.licas.def.gui

## Interface MainGuiDef

-     public interface MainGuiDef

  This interface must be implemented the main licas GUI.
  Author:
    Kieran Greer

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getDocument()` Get the currently displayed document.
    `void` | `logException(java.lang.String logLevel, java.lang.String methodName, java.lang.String msg, java.lang.Exception ex)` Log an exception in the main GUI system.
    `void` | `logMessage(java.lang.String message)` Log a message in the main GUI system.
    `void` | `registerView(DrawGuiDef drawView, boolean reg)` Register to draw or unregister to draw the main view.
    `void` | `setServiceToFront(java.lang.String guiKey)` Set the gui indicated to the front of the window order and update main window saved ordering.

- - ### Method Detail

    - #### getDocument

          java.lang.String getDocument()

      Get the currently displayed document.
      Returns:
        the document currently displayed in the document text area.

    - #### registerView

          void registerView(DrawGuiDef drawView,
                            boolean reg)

      Register to draw or unregister to draw the main view.
      Parameters:
        `drawView` - the component that provides the view to draw.
        `reg` - true if register or false if unregister.

    - #### setServiceToFront

          void setServiceToFront(java.lang.String guiKey)

      Set the gui indicated to the front of the window order and update main window saved ordering.
      Parameters:
        `guiKey` - the key the gui is stored under.

    - #### logMessage

          void logMessage(java.lang.String message)

      Log a message in the main GUI system.
      Parameters:
        `message` - the message to log.

    - #### logException

          void logException(java.lang.String logLevel,
                            java.lang.String methodName,
                            java.lang.String msg,
                            java.lang.Exception ex)

      Log an exception in the main GUI system.
      Parameters:
        `logLevel` - the level to log at.
        `methodName` - name of method error created in.
        `msg` - optional additional information.
        `ex` - the exception to log.